package com.evolute.siprp.client.panels.footer;

import com.evolute.siprp.client.panels.utils.AppConstants;
import com.google.gwt.core.client.GWT;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiHandler;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.Widget;

public class FooterPanel extends Composite {

	private static FooterPanelUiBinder uiBinder = GWT.create( FooterPanelUiBinder.class );
	interface FooterPanelUiBinder extends UiBinder< Widget, FooterPanel > { }

	@UiField protected Image image;

	public FooterPanel() 
	{	
		initWidget( uiBinder.createAndBindUi( this ) );
		image.setUrl( AppConstants.IMAGES_FOLDER + "logo_evolute_small.png" );
		image.setTitle( "Evolute" );
	}

	
	@UiHandler( "image" )
	protected void onClick( ClickEvent e ) 
	{
		Window.Location.assign( "http://www.evolute.pt" );
	}
	
}
